FAQ
I am setting up puppet on my boxes.. and one of my boxes gives me this
error when I run puppet agent --test

ratbert ~ $puppet agent --test
info: Caching catalog for ratbert.in.torand.org
info: Applying configuration version '1358784048'
*err: Could not prefetch package provider 'yum': The yum provider can only
be used as root*
notice: /File[ntp.conf]/content:

I cannot find any information on the web about this error..

--
The most essential quality for leadership is not perfection,
but credibility. People must be able to trust you, or
they won't follow you.
From "The Purpose Driven Life" by Rick Warren

Scott Anderson - web: http://www.torand.org - e-mail: sda@torand.org
GoogleTalk: sda@torand.org - AIM:andersons776- Twitter:sdanderson
Phone: 703-594-1284

--
You received this message because you are subscribed to the Google Groups "Puppet Users" group.
To post to this group, send email to puppet-users@googlegroups.com.
To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.

Search Discussions

  • R.I.Pienaar at Jan 21, 2013 at 5:57 pm

    ----- Original Message -----
    From: "Scott Anderson" <sda@torand.org>
    To: puppet-users@googlegroups.com
    Sent: Monday, January 21, 2013 5:53:51 PM
    Subject: [Puppet Users] what is this trying to tell me?

    I am setting up puppet on my boxes.. and one of my boxes gives me this
    error when I run puppet agent --test

    ratbert ~ $puppet agent --test
    info: Caching catalog for ratbert.in.torand.org
    info: Applying configuration version '1358784048'
    *err: Could not prefetch package provider 'yum': The yum provider can only
    be used as root*
    notice: /File[ntp.conf]/content:

    I cannot find any information on the web about this error..
    you can only manage packages if you run puppet as root, you ran it as a user.

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.
  • Scott Anderson at Jan 21, 2013 at 5:59 pm
    Oh %$&^*& you are right.. why didn't I catch that..
    On Mon, Jan 21, 2013 at 12:57 PM, R.I.Pienaar wrote:


    ----- Original Message -----
    From: "Scott Anderson" <sda@torand.org>
    To: puppet-users@googlegroups.com
    Sent: Monday, January 21, 2013 5:53:51 PM
    Subject: [Puppet Users] what is this trying to tell me?

    I am setting up puppet on my boxes.. and one of my boxes gives me this
    error when I run puppet agent --test

    ratbert ~ $puppet agent --test
    info: Caching catalog for ratbert.in.torand.org
    info: Applying configuration version '1358784048'
    *err: Could not prefetch package provider 'yum': The yum provider can only
    be used as root*
    notice: /File[ntp.conf]/content:

    I cannot find any information on the web about this error..
    you can only manage packages if you run puppet as root, you ran it as a
    user.

    --
    You received this message because you are subscribed to the Google Groups
    "Puppet Users" group.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to
    puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at
    http://groups.google.com/group/puppet-users?hl=en.

    --
    The most essential quality for leadership is not perfection,
    but credibility. People must be able to trust you, or
    they won't follow you.
    From "The Purpose Driven Life" by Rick Warren

    Scott Anderson - web: http://www.torand.org - e-mail: sda@torand.org
    GoogleTalk: sda@torand.org - AIM:andersons776- Twitter:sdanderson
    Phone: 703-594-1284

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppuppet-users @
categoriespuppet
postedJan 21, '13 at 5:55p
activeJan 21, '13 at 5:59p
posts3
users2
websitepuppetlabs.com

2 users in discussion

Scott Anderson: 2 posts R.I.Pienaar: 1 post

People

Translate

site design / logo © 2022 Grokbase